Probable update needed.

Get help with installation and running phpwcms here. Please do not post bug reports or feature requests here.
Post Reply
brobinson43
Posts: 4
Joined: Thu 2. Oct 2014, 10:16

Probable update needed.

Post by brobinson43 » Tue 7. Oct 2014, 03:54

Hello,

I am extremely new to phpwcms and this site. Our website is in php and runs under phpwcms, and now it won't run. It gives the following message:

Fatal error: Cannot redeclare boolval() in /home/tasfhsor/public_html/launceston/include/inc_lib/general.inc.php on line 2223

I have looked at the relevant code, and it is in a function declaration for the function Boolval. I assume that there has been a change in php which means that this function declaration is no longer valid in the current version of php. Our version of of phpwcms is Release 1.4.2

I am assuming now that upgrading to the latest version of phpwcms will fix the problem. Now I have to learn how to do the upgrade.

Any help on these items gratefully welcomed.

Barrie

User avatar
Oliver Georgi
Site Admin
Posts: 9438
Joined: Fri 3. Oct 2003, 22:22
Location: Dessau
Contact:

Re: Probable update needed.

Post by Oliver Georgi » Tue 7. Oct 2014, 06:54

Oliver Georgi | phpwcms Developer | GitHub | LinkedIn | Kleintierpraxis am Georgengarten

brobinson43
Posts: 4
Joined: Thu 2. Oct 2014, 10:16

Re: Probable update needed.

Post by brobinson43 » Wed 8. Oct 2014, 16:34

OK that makes perfect sense now.

Thanks Oliver!

Barrie

Post Reply